package com.braintree.customersupportbackoffice.facade;

import de.hybris.platform.core.model.BraintreePluginConfigurationModel;

import java.util.List;

public interface BraintreeCheckConnectionFacade {

    public boolean isMerchantIDPresented();

    public boolean isPublicKeyPresented();

    public boolean isPrivateKeyPresented();

    public boolean isEnvironmentPresented();

    public boolean canCheckConnectWithBraintree();

    public boolean isBraintreePingPresented();

    public List<String> getBaseStoreNames(BraintreePluginConfigurationModel pluginConfiguration);

    public boolean isPayPalClientIdPresented();

    public boolean isPayPalSecretKeyPresented();

    public boolean canCheckConnectWithPayPal();

    public boolean canEstablishConnectWithPayPal();
}
